Bug 843222

Summary: gdmap package has not built for multiple Fedora releases
Product: [Fedora] Fedora Reporter: Bill Nottingham <notting>
Component: gdmapAssignee: Martin Ebourne <fedora>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora, puiterwijk, rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-07-26 08:52:31 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 713919    
Attachments:
Description Flags
A VERY simple patch to fix building none

Description Bill Nottingham 2012-07-25 18:08:18 EDT
This package has not been built since Fedora 15, having failed multiple mass
rebuild cycles.

As part of the normal process for retiring packages that have not
successfully built, this package is scheduled to be removed from Fedora on
or around the Fedora 18 branch date (August 7th).

Please fix this as soon as possible.
Comment 1 Patrick Uiterwijk 2012-07-25 19:53:09 EDT
Created attachment 600413 [details]
A VERY simple patch to fix building

This simple patch fixes the building.
It just adds a simple compiler flag to import libM.

Proof in koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=4329956
Comment 2 Patrick Uiterwijk 2012-07-25 19:53:25 EDT
I hope someone could apply this patch.
Comment 3 Martin Ebourne 2012-07-26 08:52:31 EDT
This has been submitted and successfully built. Sorry for being delinquent on this, I didn't realise until a few days ago it had not built for so long.

Patrick, thank you very much for the patch, always gratefully accepted.

Regarding "this package is scheduled to be removed from Fedora on
or around the Fedora 18 branch date", if I need to do anything special to avoid that (beyond the new build and closing this bug) then please let me know.
Comment 4 Bill Nottingham 2012-07-26 14:15:25 EDT
Nope, as long as there's a build pulled into f18 , that's good enough.